#!/bin/sh -x
################################################
##
##Set Adapter Specific Variables
##

CONNAME=$1
SERVER=$2

#Set the SAP - JCO home directory here


# Connector specific variable initialization section
# Set your Connector agent here

CONNECTOR_TYPE="-l"
CONNECTOR_AGENT=com.crossworlds.connectors.sap.visionframework.VisionConnectorAgent

CONDIR=${CROSSWORLDS}/connectors/${CONNAME}
CONJAR=${CONDIR}/CW${CONNAME}.jar

# Set any connector specific Variables here
CON_SPEC_JAR_ONE=${CONDIR}:${CONDIR}/jCO.jar:${CONDIR}/sapjco.jar


# Set any Connector specific start options here (Like -t or -fno etc.)
# CON_START_OPTIONS=" -tMAIN_SINGLE_THREADED "

##
## End Adapter Specific Variables
##

if [ "${OS}" = "AIX" ]
then
LIBPATH=${CONDIR}:${LIBPATH}
export LIBPATH
elif [ "${OS}" = "HP-UX" ]
then
SHLIB_PATH=${CONDIR}:${SHLIB_PATH}
export SHLIB_PATH
else
LD_LIBRARY_PATH=${CONDIR}:${LD_LIBRARY_PATH}
export LD_LIBRARY_PATH
fi

if [ -f ${CROSSWORLDS}/wbiart/wbiart.jar ]
then
   #we are in a new runtime environment
. ${CROSSWORLDS}/bin/CWConnEnv.sh


# Please define the following variables that need to pass to callee
JCLASSES=.:${CONJAR}:${CON_SPEC_JAR_ONE}:${CWCLASSES}

export JCLASSES
LibPath=${CONDIR}
export LibPath
ExtDirs=
export ExtDirs
JVMArgs=-DLD_LIBRARY_PATH=${LD_LIBRARY_PATH} -DLIBPATH=${LIBPATH} -DSHLIB_PATH=${SHLIB_PATH}
export JVMArgs

# Call base script start_adapter.sh to start the connector
exec start_adapter.sh -n${CONNAME}Connector -s${SERVER} -l${CONNECTOR_AGENT} $3 $4 $5

else
  #execute old scripts structure

. ${CROSSWORLDS}/bin/CWConnEnv.sh


LOCAL_JVM_FLAGS=${CONN_JAVA_JVM_FLAGS}

CWCLASSES=${CWCLASSES}

# We are using the JVM_FLAGS that are set in the CWSharedEnv.sh file, if you need to use different flags,
#  Change $JVM_FLAGS to be what you need to use.
# No changes should be necessary below this line.

# Set any connector specific Variables here
CON_SPEC_JAR_ONE=${CONDIR}/jCO.jar:${CONDIR}/sapjco.jar

CLASSPATH=${CONJAR}:${CON_SPEC_JAR_ONE}:${CWCLASSES}
echo $CLASSPATH
echo $JVM_FLAGS
echo $CWJAVA
${CROSSWORLDS}/bin/check_path.sh "$CLASSPATH"
if [ "${OS}" = "AIX" ]
then
JVM_FLAGS=-DLIBPATH=${LIBPATH}
exec ${CWJAVA} ${JVM_FLAGS} -Djava.library.path=${LIB_PATH} -Djava.ext.dirs=${JRE_EXT_DIRS} -classpath ${CLASSPATH}  AppEndWrapper ${CONNECTOR_TYPE}${CONNECTOR_AGENT} -n${CONNAME}Connector -s${SERVER} ${CON_START_OPTIONS}  $3 $4 $5 $6 $7 $8 $9
elif [ "${OS}" = "HP-UX" ]
then
JVM_FLAGS=-DSHLIB_PATH=${SHLIB_PATH}
exec ${CWJAVA} ${JVM_FLAGS} -Djava.library.path=${SHLIB_PATH} -Djava.ext.dirs=${JRE_EXT_DIRS} -classpath ${CLASSPATH} AppEndWrapper ${CONNECTOR_TYPE}${CONNECTOR_AGENT} -n${CONNAME}Connector -s${SERVER} ${CON_START_OPTIONS}  $3 $4 $5 $6 $7 $8 $9
else
JVM_FLAGS=-DLD_LIBRARY_PATH=${LD_LIBRARY_PATH}
exec ${CWJAVA} ${JVM_FLAGS} -Djava.library.path=${LD_LIBRARY_PATH} -Djava.ext.dirs=${JRE_EXT_DIRS} -classpath ${CLASSPATH}  AppEndWrapper ${CONNECTOR_TYPE}${CONNECTOR_AGENT} -n${CONNAME}Connector -s${SERVER} ${CON_START_OPTIONS}  $3 $4 $5 $6 $7 $8 $9
fi

fi #close new runtime switch
